Subject: Re: add phy-handle property for fec_mpc52xx

From: Sven Luther <[email-masked]>
Date: Wed, 9 Jan 2008 18:05:40 +0100

On Wed, Jan 09, 2008 at 04:36:19PM +0000, Matt Sealey wrote:
> 
> Sven Luther wrote:
> >On Wed, Jan 09, 2008 at 04:30:13PM +0000, Matt Sealey wrote:
> >>Sven Luther wrote:
> >>>Let's just fix this in the kernel, until we get a fixed efika firmware,
> >>>then we can drop it easily enough. But until this happens, we need to be
> >>>able to boot the kernel without any extra work on the users part.
> >>That is exactly why I don't like the idea. Yes, it makes it easier for 
> >>users
> >>and easier for distro managers to say "it supports the Efika" but it makes
> >>the Forth fixing, and any further firmware development (ignore the lack of
> >>releases, it means nothing) much harder.
> >
> >efika firmware development is dead. Until we see a release we should
> >assume that the efika is a firmware with breakage, and no upstream
> 
> The link that Olaf presented, www.powerdeveloper.org/asset/by-id/46 *is*
> the upstream support for now. What his patch does is say, the upstream
> support exists, but we don't like it, so we will supplement the patch..

Matt, your work on efika.forth is laudable, and it is nice that you took
the time to support it.

*BUT* it is not acceptable for a distribution, or for someone who will
have to do user support, to have to launch a second binary before
launching the kernel. Especially when netbooting for example.

Friendly,

Sven Luther